Google berkomitmen untuk mendorong terwujudnya keadilan ras bagi komunitas Kulit Hitam. Lihat caranya.

Buletin Keamanan Android—Desember 2017

Tetap teratur dengan koleksi Simpan dan kategorikan konten berdasarkan preferensi Anda.

Diterbitkan 4 Desember 2017 | Diperbarui 6 Desember 2017

Buletin Keamanan Android berisi detail kerentanan keamanan yang memengaruhi perangkat Android. Tingkat patch keamanan 2017-12-05 atau lebih baru mengatasi semua masalah ini. Untuk mempelajari cara memeriksa tingkat patch keamanan perangkat, lihat Memeriksa & memperbarui versi Android Anda .

Mitra Android diberitahu tentang semua masalah setidaknya sebulan sebelum publikasi. Patch kode sumber untuk masalah ini telah dirilis ke repositori Android Open Source Project (AOSP) dan ditautkan dari buletin ini. Buletin ini juga menyertakan tautan ke patch di luar AOSP.

Yang paling parah dari masalah ini adalah kerentanan keamanan kritis dalam kerangka Media yang dapat memungkinkan penyerang jarak jauh menggunakan file yang dibuat khusus untuk mengeksekusi kode arbitrer dalam konteks proses istimewa. Penilaian tingkat keparahan didasarkan pada efek eksploitasi kerentanan yang mungkin terjadi pada perangkat yang terpengaruh, dengan asumsi platform dan mitigasi layanan dimatikan untuk tujuan pengembangan atau jika berhasil dilewati.

Kami tidak memiliki laporan eksploitasi pelanggan aktif atau penyalahgunaan masalah yang baru dilaporkan ini. Lihat bagian mitigasi Android dan Google Play Protect untuk detail tentang perlindungan platform keamanan Android dan Google Play Protect, yang meningkatkan keamanan platform Android.

Catatan: Informasi tentang pembaruan over-the-air (OTA) dan gambar firmware terbaru untuk perangkat Google tersedia di Buletin Keamanan Pixel / Nexus Desember 2017 .

Mitigasi Layanan Android dan Google

Ini adalah ringkasan mitigasi yang diberikan oleh platform keamanan Android dan perlindungan layanan seperti Google Play Protect . Kemampuan ini mengurangi kemungkinan kerentanan keamanan berhasil dieksploitasi di Android.

  • Eksploitasi untuk banyak masalah di Android menjadi lebih sulit dengan peningkatan versi platform Android yang lebih baru. Kami mendorong semua pengguna untuk memperbarui ke versi Android terbaru jika memungkinkan.
  • Tim keamanan Android secara aktif memantau penyalahgunaan melalui Google Play Protect dan memperingatkan pengguna tentang Aplikasi yang Berpotensi Berbahaya . Google Play Protect diaktifkan secara default pada perangkat dengan Layanan Seluler Google , dan sangat penting bagi pengguna yang memasang aplikasi dari luar Google Play.

Tingkat patch keamanan 01-12-2017—Detail kerentanan

Di bagian di bawah ini, kami memberikan detail untuk setiap kerentanan keamanan yang berlaku untuk level patch 01-12-2017. Kerentanan dikelompokkan di bawah komponen yang mereka pengaruhi. Ada deskripsi masalah dan tabel dengan CVE, referensi terkait, jenis kerentanan , tingkat keparahan , dan versi AOSP yang diperbarui (jika berlaku). Jika tersedia, kami menautkan perubahan publik yang mengatasi masalah tersebut ke ID bug, seperti daftar perubahan AOSP. Saat beberapa perubahan terkait dengan satu bug, referensi tambahan ditautkan ke nomor yang mengikuti ID bug.

Kerangka

Kerentanan paling parah di bagian ini dapat memungkinkan aplikasi jahat lokal untuk mengabaikan persyaratan interaksi pengguna untuk mendapatkan akses ke izin tambahan.

CV Referensi Jenis Kerasnya Versi AOSP yang diperbarui
CVE-2017-0807 A-35056974 * EOP Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0870 A-62134807 EOP Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0871 A-65281159 EOP Tinggi 8.0

Kerangka kerja media

Kerentanan paling parah di bagian ini dapat memungkinkan penyerang jarak jauh menggunakan file yang dibuat khusus untuk mengeksekusi kode arbitrer dalam konteks proses istimewa.

CV Referensi Jenis Kerasnya Versi AOSP yang diperbarui
CVE-2017-0872 A-65290323 RCE Kritis 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0876 A-64964675 * RCE Kritis 6.0
CVE-2017-0877 A-66372937 * RCE Kritis 6.0
CVE-2017-0878 A-65186291 RCE Kritis 8.0
CVE-2017-13151 A-63874456 RCE Kritis 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13153 A-65280854 EOP Tinggi 8.0
CVE-2017-0837 A-64340921 [ 2 ] EOP Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0873 A-63316255 DoS Tinggi 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0874 A-63315932 DoS Tinggi 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-0880 A-65646012 [ 2 ] DoS Tinggi 7.0, 7.1.1, 7.1.2
CVE-2017-13148 A-65717533 DoS Tinggi 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

Sistem

Kerentanan paling parah di bagian ini dapat memungkinkan penyerang terdekat untuk mengeksekusi kode arbitrer dalam konteks proses yang diistimewakan.

CV Referensi Jenis Kerasnya Versi AOSP yang diperbarui
CVE-2017-13160 A-37160362 RCE Kritis 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13156 A-64211847 EOP Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13157 A-32990341 PENGENAL Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13158 A-32879915 PENGENAL Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0
CVE-2017-13159 A-32879772 PENGENAL Tinggi 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0

Tingkat patch keamanan 05-12-2017—Detail kerentanan

Di bagian di bawah ini, kami memberikan detail untuk setiap kerentanan keamanan yang berlaku untuk level patch 2017-12-05. Kerentanan dikelompokkan di bawah komponen yang mereka pengaruhi dan menyertakan detail seperti CVE, referensi terkait, jenis kerentanan , tingkat keparahan , komponen (jika ada), dan versi AOSP yang diperbarui (jika berlaku). Jika tersedia, kami menautkan perubahan publik yang mengatasi masalah tersebut ke ID bug, seperti daftar perubahan AOSP. Saat beberapa perubahan terkait dengan satu bug, referensi tambahan ditautkan ke nomor yang mengikuti ID bug.

Komponen kernel

Kerentanan paling parah di bagian ini dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa.

CV Referensi Jenis Kerasnya Komponen
CVE-2017-13162 A-64216036 * EOP Tinggi Bahan pengikat
CVE-2017-0564 A-34276203 * EOP Tinggi ION
CVE-2017-7533 A-63689921
Kernel hulu
EOP Tinggi Penanganan file
CVE-2017-13174 A-63100473 * EOP Tinggi EDL

komponen MediaTek

Kerentanan paling parah di bagian ini dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa.

CV Referensi Jenis Kerasnya Komponen
CVE-2017-13170 A-36102397 *
M-ALPS03359280
EOP Tinggi Tampilan driver
CVE-2017-13171 A-64316572 *
M-ALPS03479086
EOP Tinggi Layanan kinerja
CVE-2017-13173 A-28067350 *
M-ALPS02672361
EOP Tinggi Server sistem

komponen NVIDIA

Kerentanan paling parah di bagian ini dapat memungkinkan aplikasi jahat lokal untuk mengeksekusi kode arbitrer dalam konteks proses istimewa.

CV Referensi Jenis Kerasnya Komponen
CVE-2017-6262 A-38045794 *
N-CVE-2017-6262
EOP Tinggi driver NVIDIA
CVE-2017-6263 A-38046353 *
N-CVE-2017-6263
EOP Tinggi driver NVIDIA
CVE-2017-6276 A-63802421 *
N-CVE-2017-6276
EOP Tinggi Server media

komponen Qualcomm

Kerentanan paling parah di bagian ini dapat memungkinkan penyerang jarak jauh menggunakan file yang dibuat khusus untuk mengeksekusi kode arbitrer dalam konteks proses istimewa.

CV Referensi Jenis Kerasnya Komponen
CVE-2017-11043 A-64728953
QC-CR#2067820
RCE Kritis WLAN
CVE-2016-3706 A-34499281
QC-CR#1058691 [ 2 ]
RCE Kritis UDP RPC
CVE-2016-4429 A-68946906
QC-CR#1058691 [ 2 ]
RCE Kritis UDP RPC
CVE-2017-11007 A-66913719
QC-CR#2068824
EOP Tinggi Fastboot
CVE-2017-14904 A-63662821 *
QC-CR#2109325
EOP Tinggi Gralloc
CVE-2017-9716 A-63868627
QC-CR#2006695
EOP Tinggi driver Qbt1000
CVE-2017-14897 A-65468973
QC-CR#2054091
EOP Tinggi penggerak RPM
CVE-2017-14902 A-65468970
QC-CR#2061287
EOP Tinggi MProc
CVE-2017-14895 A-65468977
QC-CR#2009308
EOP Tinggi WLAN

Komponen sumber tertutup Qualcomm

Kerentanan ini memengaruhi komponen Qualcomm dan dijelaskan secara lebih rinci dalam buletin keamanan atau peringatan keamanan Qualcomm AMSS yang sesuai. Penilaian tingkat keparahan masalah ini disediakan langsung oleh Qualcomm.

CV Referensi Jenis Kerasnya Komponen
CVE-2017-6211 A-36217326 * T/A Kritis Komponen sumber tertutup
CVE-2017-14908 A-62212840 * T/A Tinggi Komponen sumber tertutup
CVE-2017-14909 A-62212839 * T/A Tinggi Komponen sumber tertutup
CVE-2017-14914 A-62212297 * T/A Tinggi Komponen sumber tertutup
CVE-2017-14916 A-62212841 * T/A Tinggi Komponen sumber tertutup
CVE-2017-14917 A-62212740 * T/A Tinggi Komponen sumber tertutup
CVE-2017-14918 A-65946406 * T/A Tinggi Komponen sumber tertutup
CVE-2017-1105 A-66913715 * T/A Tinggi Komponen sumber tertutup
CVE-2017-11006 A-66913717 * T/A Tinggi Komponen sumber tertutup

Pertanyaan dan jawaban umum

Bagian ini menjawab pertanyaan umum yang mungkin muncul setelah membaca buletin ini.

1. Bagaimana cara menentukan apakah perangkat saya diperbarui untuk mengatasi masalah ini?

Untuk mempelajari cara memeriksa tingkat patch keamanan perangkat, lihat Memeriksa & memperbarui versi Android Anda .

  • Tingkat tambalan keamanan 01-12-2017 atau lebih baru mengatasi semua masalah yang terkait dengan tingkat tambalan keamanan 01-12-2017.
  • Tingkat patch keamanan 05-12-2017 atau lebih baru mengatasi semua masalah yang terkait dengan tingkat patch keamanan 2017-12-05 dan semua tingkat patch sebelumnya.

Produsen perangkat yang menyertakan pembaruan ini harus menyetel level string patch ke:

  • [ro.build.version.security_patch]:[2017-12-01]
  • [ro.build.version.security_patch]:[2017-12-05]

2. Mengapa buletin ini memiliki dua tingkat patch keamanan?

Buletin ini memiliki dua tingkat patch keamanan sehingga mitra Android memiliki fleksibilitas untuk memperbaiki subset kerentanan yang serupa di semua perangkat Android dengan lebih cepat. Mitra Android didorong untuk memperbaiki semua masalah dalam buletin ini dan menggunakan tingkat patch keamanan terbaru.

  • Perangkat yang menggunakan tingkat patch keamanan 01-12-2017 harus menyertakan semua masalah yang terkait dengan tingkat patch keamanan tersebut, serta perbaikan untuk semua masalah yang dilaporkan di buletin keamanan sebelumnya.
  • Perangkat yang menggunakan tingkat patch keamanan 2017-12-05 atau yang lebih baru harus menyertakan semua patch yang berlaku dalam buletin keamanan ini (dan sebelumnya).

Mitra didorong untuk menggabungkan perbaikan untuk semua masalah yang mereka tangani dalam satu pembaruan.

3. Apa yang dimaksud dengan entri di kolom Jenis ?

Entri di kolom Jenis dari tabel detail kerentanan merujuk pada klasifikasi kerentanan keamanan.

Singkatan Definisi
RCE Eksekusi kode jarak jauh
EOP Ketinggian hak istimewa
PENGENAL Pengungkapan informasi
DoS Kegagalan layanan
T/A Klasifikasi tidak tersedia

4. Apa yang dimaksud dengan entri di kolom Referensi ?

Entri di bawah kolom Referensi dari tabel detail kerentanan mungkin berisi awalan yang mengidentifikasi organisasi tempat nilai referensi berada.

Awalan Referensi
SEBUAH- ID bug Android
QC- Nomor referensi Qualcomm
M- Nomor referensi MediaTek
N- Nomor referensi NVIDIA
B- Nomor referensi Broadcom

5. Apa yang dimaksud dengan * di sebelah ID bug Android di kolom Referensi ?

Masalah yang tidak tersedia untuk umum memiliki * di sebelah ID bug Android di kolom Referensi . Pembaruan untuk masalah tersebut umumnya terdapat dalam driver biner terbaru untuk perangkat Nexus yang tersedia dari situs Pengembang Google .

6. Mengapa kerentanan keamanan dibagi antara buletin ini dan buletin keamanan perangkat/mitra, seperti buletin Pixel / Nexus?

Kerentanan keamanan yang didokumentasikan dalam buletin keamanan ini diperlukan untuk menyatakan tingkat patch keamanan terbaru pada perangkat Android. Kerentanan keamanan tambahan yang didokumentasikan dalam buletin keamanan perangkat / mitra tidak diperlukan untuk mendeklarasikan tingkat patch keamanan. Produsen perangkat dan chipset Android didorong untuk mendokumentasikan adanya perbaikan lain pada perangkat mereka melalui situs web keamanan mereka sendiri, seperti buletin keamanan Samsung , LGE , atau Pixel / Nexus .

Versi

Versi: kapan Tanggal Catatan
1.0 4 Desember 2017 Buletin diterbitkan.
1.1 6 Desember 2017 Buletin direvisi untuk menyertakan tautan AOSP.